// klasa obsugujca kanay logiczne
public class LogChannel extends Applet implements MultiSelectable 
{
    public boolean select() 
    {
	return true;
    }

    public void deselect()
    {
	// ...
    }

    // metoda pozwala na wielokrotny wybr apletu; warto
    // appInstAlreadySelected jest prawd, gdy aplet ju pracuje na jedym 
    // z kanaw
    // 
    public boolean select(boolean appInstAlreadySelected) 
    {
	// kana przez ktry przysza aktualna komenda
	byte actualChannel=APDU.getCLAChannel();
	// kana, na ktrym aplet zosta wybrany
	byte selectChannel=JCSystem.getAssignedChannel();
	// ...
	// jest to komenda SELECT FILE
	if (actualChannel==selectChannel)
	    // ...
	
	if (actualChannel==0)
	{
	    // komenda MANAGE CHANNEL z kanau 0
	}
	else
	{
	    // zmiana kanau - wymagane jest skopiowanie aktualnego
	    // stanu bezpieczestwa zwizanego z kanaem
	}
	// ...
    }

    // metoda informujca aplet o zakoczeniu pracy przez dany kana
    // logiczny; warto appInstStillSelected jest prawd, gdy aplet
    // pracuje jeszcze na innym kanale
    public void deselect(boolean appInstStillSelected) 
    {
	// ...
    }
}
	
