// deklaracje tymczasowych obiektw
private short[] transientShorts;
private boolean[] transientBools;

// konstruktor apletu
protected TransientObj(...)
{
    // ...
    try
    {
	// obiekt tymczasowy - 2 liczby typu short tracone w wypadku zmiany
	// apletu lub zerowania karty
	transientShorts=JCSystem.makeTransientShortArray(2,
							JCSystem.CLEAR_ON_DESELECT);

	// obiekt tymczasowy - 4 wartoci logiczne tracone w wypadku zerowania
	// karty
	transientBools=JCSystem.makeTransientBooleanArray(4, 
							JCSystem.CLEAR_ON_RESET);
	// ...
    }
    catch (NegativeArraySizeException e)
    {
	// ujemna warto wielkoci tablicy obiektw
    }
    catch (SystemException e)
    {
	// bd systemowy - brak pamici
    }
}

protected SampleMethod(...)
{     
    // sprawdzenie czy obiekt jest tymczasowy
    if (JCSystem.isTransient(transientBools))
    {
	// obiekt jest tymczasowy
	// ...
    }
    // ...
}
