// implementacja interfejsu Loyality
public class LoyalityImpl extends CardRemoteObject implements Loyality
{
    // przechowuje ilo dostpnych punktw
    private short points=0;

    // konstruktor
    public LoyalityImpl() 
    {
        super();
    }

    // dodanie punktw
    public void add(short m) throws RemoteException, UserException 
    {
        if (m<=0) UserException.throwIt(BAD_ARGUMENT);
        if ((short)(points+m)>MAX_AMOUNT) UserException.throwIt(OVERFLOW);
        points+=m;
    }
    
    // odjcie punktw
    public void sub(short m) throws RemoteException, UserException 
    {    
        if (m<=0) UserException.throwIt(BAD_ARGUMENT);
        if ((short)(points-m)<0) UserException.throwIt(UNDERFLOW);
        points-=m;
    }
    
    // odczyt iloci punktw
    public short read() throws RemoteException 
    {
        return points;
    }
}

